.videoCard {
  .videoCard__image {
    width: 100%;
    aspect-ratio: 16 / 10;
    overflow: hidden;
    display: flex;
    margin: 0 0 .5rem;
    position: relative;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  .videoCard__image:hover {
    cursor: pointer;
  }
  .videoCard__play {
    position: absolute;
    right: 0;
    top: 0;
    width: 2.5rem;
    aspect-ratio: 1;
    background-color: hsl(var(--secondary-500));
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      --size: 18px;
      width: var(--size);
      height: var(--size);
      place-self: center;
    }
  }
  .videoCard__cat {
    font-size: var(--fs-sm);
    display: block;
    margin: .5rem 0;
    @media (width >= 640px) {
      font-size: var(--fs-base);
    }
    @media (width >= 1024px) {
      font-size: var(--fs-base);
    }
  }
  .videoCard__title {
    color: var(--shadow-dark-1);
    font-size: var(--fs-base);
    margin: 0;
    font-weight: 400;
    color: var(--black);
    white-space: normal;
  }
}

/* Video Dialog */
.videoDialog {
  --w: 100vw;
  --h: 100vh;
  position: fixed;
  width: var(--w);
  height: var(--h);
  max-width: none;
  max-height: none;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 0;
  top: 0;
  padding: 0;
  margin: 0;
  border: none;
  background-color: rgba(0,0,0,0.9);
  backdrop-filter: blur(1rem);
  z-index: 9999;
  .videoDialog__close {
    position: absolute;
    right: 2rem;
    top: 2rem;
    color: #fff;
    font-size: 1.5rem;
    border: none;
    padding: 8px;
    margin: 0;
    line-height: 1;
    height: auto;
    display: flex;
    border-radius: 99999px;
    background-color: rgba(255, 255, 255, 0.3);
    transition: background-color .3s ease-in-out;
    svg {
      --size: 24px;
      width: var(--size);
      height: var(--size);
      @media (width >= 1280px) {
        --size: 32px;
      }
    }
  }
  .videoDialog__close:hover {
    cursor: pointer;
    background-color: rgba(255,255,255,.6);
  }
  iframe,
  .videoDialog__placeholder {
    --w: 95vw;
    --max-w: 900px;
    width: var(--w);
    height: auto;
    max-width: var(--max-w);
    aspect-ratio: 16/9;
    background-size: cover;
  }
  .videoDialog__placeholder:hover,
  iframe:hover {
    cursor: pointer;
  }
  .videoDialog__placeholder {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .videoDialog__placeholderPlay {
    --w: 1.5rem;
    --bg: hsl(var(--secondary-500));
    width: var(--w);
    height: auto;
    background-color: var(--bg);
    display: flex;
    align-items: centeR;
    justify-content: center;
    aspect-ratio: 1;
    padding: 2rem;
    border-radius: 9999px;
    transition: background-color .3s ease-in-out;
    @media (width >= 1280px) {
      --w: 4rem;
    }
    &::before {
      --bw: 1rem;
      --bh: calc(var(--bw) * 2);
      content: "";
      width: 0;
      height: 0;
      border-top: var(--bw) solid transparent;
      border-bottom: var(--bw) solid transparent;
      border-left: var(--bh) solid #fff;
      margin-left: 6px;
      @media (width >= 1280px) {
        --bw: 2rem;
      }
    }
  }
  .videoDialog__placeholderPlay:hover {
    --bg: hsl(var(--primary-500));
  }
}